Ubuntu

memory leak in compiz when using places, dashboard, and exposing launcher icons with multiple quicklists

Reported by Doug McMahon on 2011-02-16
This bug affects 219 people
Affects Status Importance Assigned to Milestone
System Load Indicator
Undecided
Unassigned
Unity
Critical
Neil J. Patel
unity (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: compiz

Was testing some stuff with the places. (application and files) and dash for a period of time, happened to notice memory use 9actual) was abnormally high.
Did a restart to clear, every use of either raises mem . in a manner not expected or proper?
Attached is pidstat on compiz, each large increase in a use of one of the three, about 3 times on each
(the last use crashed compiz which at this point was not unexpected.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: compiz 1:0.9.2.1+glibmainloop4-0ubuntu11
ProcVersionSignature: Ubuntu 2.6.38-3.30-generic 2.6.38-rc4
Uname: Linux 2.6.38-3-generic i686
Architecture: i386
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Wed Feb 16 18:20:21 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:

GraphicsCard: Subsystem: Device [19f1:1fa4]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110130)
MachineType: alienware alienware
PackageArchitecture: all
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 LC_MESSAGES=en_US.utf8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-3-generic root=UUID=a8f09f16-bb0f-4fe6-8b3a-30733b0b2ba8 ro
SourcePackage: compiz
dmi.bios.date: 01/29/2004
dmi.bios.vendor: Intel Corp.
dmi.bios.version: BZ87510A.86A.0091.P21.0401291113
dmi.board.name: D875PBZ
dmi.board.vendor: Intel Corporation
dmi.board.version: AAC26680-205
dmi.chassis.type: 2
dmi.chassis.vendor: alienware
dmi.chassis.version: alienware
dmi.modalias: dmi:bvnIntelCorp.:bvrBZ87510A.86A.0091.P21.0401291113:bd01/29/2004:svnalienware:pnalienware:pvr:rvnIntelCorporation:rnD875PBZ:rvrAAC26680-205:cvnalienware:ct2:cvralienware:
dmi.product.name: alienware
dmi.sys.vendor: alienware
version.compiz: compiz 1:0.9.2.1+glibmainloop4-0ubuntu11
version.libdrm2: libdrm2 2.4.23-1ubuntu3
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10-1ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6~3ubuntu4
version.xserver-xorg-video-ati: xserver-xorg-video-ati N/A
version.xserver-xorg-video-intel: xserver-xorg-video-intel N/A
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu4

Doug McMahon (mc3man) wrote :
tags: added: compiz-0.9
Didier Roche (didrocks) on 2011-02-17
affects: compiz (Ubuntu) → unity (Ubuntu)
Doug McMahon (mc3man) wrote :

With the latest set of updates thru 02/17 seems to have become a non factor, am considering this invalid ATM

Neil J. Patel (njpatel) wrote :

There were still some heavy mem leaks inside the dash that I cleaned up yesterday, so I'm going to target for this week (as I'm continuing to do memory tuning work and linking my branch).

Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
importance: Undecided → Critical
milestone: none → 3.4.6
status: New → In Progress
Doug McMahon (mc3man) wrote :

I marked invalid, "nonfactor", due to the amount 'lost' seemed relatively small (as compared to last time dash leaked), though is still obviously present.
Also see small amount thru the places, but just when doing searches.
The other factor is still can't do extended use of any of the 3 before compiz crashes anyway (seemed to limited here to about 12 -20 uses before crash
will certainly check out the next compiz, ect. upgrades

Doug McMahon (mc3man) wrote :

You may also want to look at unity-panel-service at some point (1+MB per use

Didier Roche (didrocks) on 2011-02-21
Changed in unity (Ubuntu):
status: New → In Progress
Neil J. Patel (njpatel) on 2011-02-22
Changed in unity:
status: In Progress → Fix Committed
Didier Roche (didrocks) on 2011-02-24
Changed in unity:
status: Fix Committed → Fix Released
Vadim Peretokin (vperetokin) wrote :

I have reason to believe that this is still an issue. I used Dash for a bit, and the memory usage grew on the same operations. 10mins later, it didn't size back down either (but grew to 120mb).

Vadim Peretokin (vperetokin) wrote :

I have reason to believe that this is still an issue. I used Dash for a bit, and the memory usage grew on the same operations. 10mins later, it didn't size back down either (but grew to 120mb).

Doug McMahon (mc3man) wrote :

It does seem to have returned with a bit more significance though would like to note do see a difference between an older updated install and a fresh 04/08 install which behaves better

Also I'm not sure that the increase of RSS when INITIALLY using the various is not unexpected - dash, .places, Alt+F2, searches in these, the dropdowns, ect. and possibly the global menu ( a bump of about 30 -40 %), seems reasonable that it would

After that though there still appears to be a small per use increase that can build over time, though have not logged long enough to see if it 'caps out' or will continue ad infinitum

Changed in unity:
status: Fix Released → New
Changed in unity:
status: New → In Progress
Changed in unity (Ubuntu):
importance: Undecided → High
Doug McMahon (mc3man) wrote :

Also to note that use increases over time with no activity at all, maybe about 8MB per hr YMMV

VinDSL (perfect-pecker) wrote :

Sorry for being late to the party... :)

I'm a Conky user (simple analysis program). Conky auto-starts at login, and I constantly monitor its output.

I've been aware of a significant mem leak in Unity, since I first installed Natty, but was unaware of this bug report, until today.

Luckily, I take frequent screenshots, so it was an easy matter to look back through my portfolio for mem usage.

Here are some representative readings of Compiz usage, from 18-Feb (first install) through 9-Apr (today):

2 min 57 sec = 61.7 M
1 hr 53 min = 103 M
2 hr 48 min = 146 M
3 hr 10 min = 149 M
4 hr 31 min = 182 M

This is a fair sampling, and clearly demonstrates (based on the screenshot dates) that the mem leak has been consistent and ever-present from the start.

As Doug McMahon noted, it increases over time, regardless of user activity.

I'll subscribe to this bug report, and watch it closely. If/when change(s) occur, I'll report back.

Thanks!

unikuser (unikuser) wrote :

Memory usage for me is increasing at a rate of 1MB/min without any usage at all.

ps auxw ; 6th column is RSS

unik 9962 6.8 2.4 632284 93796 pts/0 Sl 04:04 1:33 compiz
unik 9962 6.7 2.4 633380 94904 pts/0 Sl 04:04 1:36 compiz
unik 9962 6.7 2.4 633884 95424 pts/0 Sl 04:04 1:40 compiz
unik 9962 6.7 2.5 634792 96296 pts/0 Sl 04:04 1:44 compiz
unik 9962 6.7 2.5 635712 97220 pts/0 Sl 04:04 1:47 compiz
unik 9962 6.7 2.5 636484 98216 pts/0 Sl 04:04 1:52 compiz
unik 9962 6.7 2.5 637044 99052 pts/0 Sl 04:04 1:56 compiz
unik 9962 6.8 2.5 637508 99716 pts/0 Sl 04:04 2:02 compiz
unik 9962 7.0 2.6 638164 100432 pts/0 Sl 04:04 2:09 compiz
unik 9962 7.1 2.6 638524 101888 pts/0 Rl 04:04 2:15 compiz
unik 9962 7.2 2.6 638584 102444 pts/0 Sl 04:04 2:22 compiz
unik 9962 7.2 2.6 638524 103512 pts/0 Sl 04:04 2:27 compiz
unik 9962 7.3 2.7 638836 104352 pts/0 Sl 04:04 2:33 compiz
unik 9962 7.4 2.7 638992 104980 pts/0 Sl 04:04 2:38 compiz
unik 9962 7.5 2.7 639328 105868 pts/0 Sl 04:04 2:46 compiz

graingert (tagrain) wrote :

In comparison ubuntu classic compiz uses 17-23MiB of ram and with unity uses 108-240MiB of ram

Neil J. Patel (njpatel) wrote :

Just to update, we've fixed a bunch of different leaks, however there are a few that we couldn't make for this release. We'll be working on them this week and will strive to have them in the beta release or, worst case, as an update as soon as the repos open again. Thanks for all the feedback, it's been very helpful!

Changed in unity:
milestone: 3.4.6 → none
ccaaatt (ccaaatt) wrote :

http://wayland.freedesktop.org/building.html :
"
cairo-gl
The Wayland clients can render using cairo-gl, but fall back to software when cairo-gl is not available.
"

So cairo (1.10.2-2ubuntu2) may didn't broken wayland, I guest.

ccaaatt (ccaaatt) wrote :

http://wayland.freedesktop.org/building.html :
"
cairo-gl
The Wayland clients can render using cairo-gl, but fall back to software when cairo-gl is not available.
"

So cairo (1.10.2-2ubuntu2) may didn't break wayland, I guess

ccaaatt (ccaaatt) wrote :

forgive me, wrong place. this is about another bug

Nur Kholis Majid (kholis) wrote :

It's still happen on beta2. Compiz memory increase when opening unity dash. Just like in Vadim Peretokin video.

chef (adotei) wrote :

Still memory leaking in 11.04 final release, again as in Vadim Peretokin's video.

Anshul Jain (anshulajain) wrote :

I'm facing the same problem as the OP. Memory usage for Compiz keeps rising when dash is being opened.

suliman saadi (sulimansaadi) wrote :

i'm affected too. in several hours compiz jump from using 45mb to 500mb.

On-The-Fly (onthefly) wrote :

My freshly installed Natty seems to have the bug too. Compiz is consuming 613 MB of RAM at the moment and it is continously growing. I have two monitors connected and no proprietary driver installed.

Mark Smulders (ms-tbwb) wrote :

I'm also affected by compiz memory problems. Upgraded Ubuntu from 10.10 to 11.04 last monday.
After almost 2 days uptime, memory usage is :

$ ps auxw |grep compiz
ms 1593 2.6 23.0 1745332 933976 ? Sl May02 73:04 compiz

Ouch!!

$ lspci |grep -i nvid
01:00.0 VGA compatible controller: nVidia Corporation G98M [Quadro NVS 160M] (rev a1)

I will provide any system information or perform any tests nescessary for you to fix this.
Cheers mates.

majesty (majesty-nashemisto) wrote :

I confirm, at that release with updates after 10 hrs uptime compiz memory takes near 800 mb.

Dennis Kruyt (dennis-kruyt) wrote :

Can confirm this bug, after a couple of days compix takes more then 50% mem usage.

Harald (h-van-der-laan) wrote :

Can also confirm this bug.

$ dpkg -l unity
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name Version Description
+++-====================================-====================================-========================================================================================
ii unity 3.8.12-0ubuntu1 Interface designed for efficiency of space and interaction.

$ uptime
13:47:28 up 33 min, 3 users, load average: 0.13, 0.10, 0.12

$ ps auxw | grep compiz
1000 1745 3.2 1.9 589912 78956 ? Sl 13:15 1:03 compiz

skalka (skalka) wrote :

I post two screenshot of my desktop, please note time and memory consumption of Compiz. Laptop has been idle almost all the time during these two hours. I run Natty with Unity, my graphic card is an Nvidia GeForce 8400M GS.

skalka (skalka) wrote :
vasja (vasja-markic) wrote :

Yes, I confirm that issue too.
The increasing is 1MB in 10 sec!!! I disabled Conky - no changes at all.
I run also Natty with Unity, with Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller.

Anas (anas-rana) wrote :

I can confirm, running a clean install of Natty with Unity.

In fact after leaving my laptop running over night I had 1.9GB memory usage by compiz! Laptop became almost unusable, couldn't even slect to restart it was too slow.
If you restart compiz memory usage goes back to a more normal but then starts climbing again.

r00tuk (r00tuk) wrote :

Hi

I am also experiencing the same problems. Desktop become unstable after 8 hours or so. Not sure if more information is required or previous posters have provided everything you need?

Thanks

Hi,

Confirmed on a laptop dist-updated from maverick last night.

dpkg -l unity; dpkg -l compiz;
ii unity 3.8.12-0ubuntu1 Interface designed for efficiency of space and interaction.
ii compiz 1:0.9.4+bzr20110415-0ubuntu2 OpenGL window and compositing manager

uptime;
16:43:08 up 6:47, 3 users, load average: 0.04, 0.35, 0.60

ps auxw | grep compiz
zvadasz 15353 6.4 21.9 1863556 888332 ? Sl 12:10 17:36 compiz

bye.

Jan Nekvasil (jan-nekvasil) wrote :

I can confirm this on three different hosts with three different graphics adapters: Radeon HD 3400, NVIDIA GeForce 7300 GS and Intel 82G33/G31 Express. The best workaround so far was to bind the command "unity --replace" to Ctrl+Alt+U and hit this combo whenever things go ugly.

Cas (calumlind) wrote :

People please stop posting me too comments, unless it is relevant to fixing the bug, instead simply add yourself to the "Does this bug affect you?" at the top of the page.

@Jan Nekvasil: Simply use "unity" rather than "unity --replace" and I think you mean "Alt-F2" to open Dash Run mode rather than Ctrl+Alt+U.

Can confirm on a laptop dist-upgraded last night from maverick to natty.
In every 3-4 seconds memory usage is increased with the amount of several hundred KB even if nothing is done after login. The estimation of 1MB in 10 seconds applies to my environment too.

If more info/log/statistics needed please ask for it.

skalka (skalka) wrote :

Memory leak doesn't seem to happen on Ubuntu live version. I've tried to boot a live Natty on a notebook with a Intel graphic chip and after one hour compiz's memory consumption was still around 30 MiB. I don't know if this can help.

If you're experiencing this, try turning off any extra indicator applets you have installed. In my case indicator-multiload and indicator-sensors were the cause.

Tal Liron (emblem-parade) wrote :

I'll add that I use the same indicators in Unity and Gnome Classic with Compiz, and the memory leak does not seem to happening in the latter case. If it is something with the indicators, then it's specific to Unity.

Any word from the devs on clues for this issue? Even a workaround would be much appreciated. This is a serious problem on a few different machines of mine with very different hardware and configurations. :(

Nikke (nmellegard) wrote :

I can confirm @Dimitris Papageorgiou workaround in #36.

Removed indicator-multiload and now Compiz does not seem to leak (to the same extent) any more.

paranoid (paranoidalex) wrote :

Removing indicator-multiload works for me as well.

Mark Smulders (ms-tbwb) wrote :

I do not have indicator-multiload active, but do experience the mem leakage

cheers

Michael Hofmann (mh21) on 2011-05-08
Changed in indicator-multiload:
status: New → Invalid
Doug McMahon (mc3man) on 2011-05-18
summary: - possible memory leak in compiz when using places, dashboard
+ memory leak in compiz when using places, dashboard, and exposing
+ launcher icons with multiple quicklists
25 comments hidden view all 105 comments
Jimmy Merrild Krag (beruic) wrote :

Expo makes it rise as wel

Jimmy Merrild Krag (beruic) wrote :

Sorry, after revising, I don't think it's expo that triggers it.

Jimmy Merrild Krag (beruic) wrote :

I can confirm #65

Omer Akram (om26er) wrote :

For the system load indicator I have reported bug 786425

Doug McMahon (mc3man) wrote :

Omar - you may wish to see if this a dup of the one you just reported, I tried splitting it out of here a bit ago
bug 779717

Derek Monner (dmonner) wrote :

Over in #779717 (comment #18), Michael Hofmann has a patch for Unity that seems to fix the memory leak that is so noticeable when indicator-multiload or system load indicator are running.

kaij74 (kaij74) wrote :

I doesn't fix dash leak/cache.

GonzO (gonzo) wrote :

Michael Hofmann's patch is actually pretty amazing. I hope it gets accepted into Unity proper, both for Natty and upstream.

I've been running for hours, and my Compiz memory is ~47mb. That's as low as its ever been.

There is still a leak using Lenses and the Dash. It isn't all that big, but needs to be addressed (Compiz STARTED life this session at 25mb.)

C (cinyc-s) wrote :

Makes using Unity on notebooks with 1Gb of RAM very difficult. Seeing as this has been open since February, I think it makes sense to ask whether this will be closed before the next release of Ubuntu? Or should I just install Fedora on my notebook instead, if I want a nice interface?

Muhammad Nabil (ghogaru) wrote :

Unity is really slow right now... Unity team, please update!!

Juan Carlos (arareka-ha) wrote :

Hi, I have a HP Probook 4525s, ATI Mobility RadeonTM HD 4250. First I installed FGLRX driver and have this bug, compiz start with 40 Mb and after some work go to 1 Gb or more...
Now I'm using the Open source driver, and compiz use at startup 25/26 Mb, and maximum 50/60 with many windows open.

Andreas Maninakis (amaninak) wrote :

I don't notice any memory leaks since the last unity update about 2 days ago. My computer is running for over two days and compiz is using <100 MB of RAM.

Andreas,

Wish I could say the same...I'm still seeing a slow but steady creep in memory on the Compiz process, and opening and closing Dash (with the Super key, pressed repeatedly) shows a regular climb of about 0.5mb per open/close. This is on a relatively new computer (Phenom Quad, 4GB Ram) with Nvidia 8400GS PCIe card.

Leonardo (rnalrd) wrote :

I confirm Frank comment. Opening and closing dash repeatedly makes compiz mem usage go up. In my case is about 0.[2|3]MB per open/close. I'm using radeon driver from git.

Alex Yurchenko (ayurchen) wrote :

Well, I have compiz leaking without actually touching anything in the GUI session, just being logged in. In the last 12 hours compiz memory usage grew from 751M/159M VIRT/RES to 758M/180M. This is without touching keyboard or mouse, screen blanked. A weather and system monitor (text based) indicators are running - probably the only redrawing applications. Compiz is the only process that shows memory usage growth.

Shortly after boot compiz memory usage was around 150M/62M.

Hardware is Core i5 2400 with integrated graphics, stock driver that comes with Ubuntu 11.04.

cmat (cmat555) wrote :

Seems to be a pretty big problem given my PC doesn't have a lot of RAM. I'm currently using a GeForce 460 with the proprietary driver. Every time I open the dash the RAM usage of Compiz raises about 0.3 MBs and holds until I shutdown the PC.

@#81

Seems that the patch Michael submitted made it into mainline (that's my guess) which fixes a pixbuf issue, (constant increase without use) but that there's outstanding issues with lenses, opening the dash, and various other scenarios, which seem to all require use of the system. A constant increase without any usage indicates that maybe the pixbuf stuff wasn't actually resolved.

Can you try using the multiload PPA from bug 779717 and report back if your constant increase issue is resolved in that case? The PPA has a patched version of unity that should have been merged into mainline now, but despite reports since 6/9 that things have improved, I haven't seen an indication that this patch was merged.

pbean (paulabean73) wrote :

I am also experiencing very high memory usage with compiz, but unlike most reports I'm not using any kind of system monitor, dashboard or whatever thing. I'm using a normal Gnome session with nothing but a few application icons on my panel. Over the past weekend, the memory usage went up to 2.5GB. And since a reboot yesterday it went up to about 600MB right now.

Attached is a compiz.log with memory shown increasing over night. I wasn't using the computer. I had Firefox, a terminal and IntelliJ Idea open. The log also contains a list of running processes.

It's not a big deal for me, having 8GB of RAM in this machine, but it sure is an annoying bug.

I'm not sure if I'm using "unity" or "classic", or whatever. I know I disabled that new stuff of Ubuntu and just selected Gnome as session.

pbean (paulabean73) wrote :

I ran another log, which has a pretty interesting result. I didn't use my computer at all yesterday while the log was running, it was idle all the time. Its memory usage increased over time, from about 26MB when I left it, to about 521M when I came back. That is a huge increase by itself, for a system that is not being used.

But the really interesting part comes when I logged in to my computer, at 09:46:35 in the log. Memory usage suddenly jumped from about 521MB to about 1.3GB! And it also had 3715 "minflt/s" (minor page faults per second? I'm not sure what this is).

There is definitely something very, very much broken in Compiz.

Same experience for me

  $ ps auxwf |grep compiz$
  user 3594 0.4 22.8 1992436 1400264 ? Sl Jul31 36:00 \_ compiz

Version: 11.04 natty

ii unity 3.8.16-0ubuntu1~natty1
ii compiz 1:0.9.4+bzr20110606-0ubuntu1~natty2

1 comments hidden view all 105 comments
Neil J. Patel (njpatel) wrote :

Hi, we've landed a bunch of memory leak fixes this week (and the past few weeks) in both the dash and across Unity. I believe that this bug can now be closed in favour of more specific bugs with tests against specific areas (i.e. open the quicklist five times, compiz leaks 5MB), which is how this started off but has kind of become a catch-all since then.

Changed in unity:
status: In Progress → Fix Committed
Omer Akram (om26er) wrote :

Closing as fixed per last comment and due to the fact there are alot of memory leaks getting fixed every week.

Changed in unity:
status: Fix Committed → Fix Released
Changed in unity (Ubuntu):
status: In Progress → Fix Released

This is still broken as of today, December 7, 2011, in 11.10

Why not use this bug for tracking unity memory leaks? I've participated a lot in gcc bugzilla, and in my experience I don't see the reasoning behind closing a bug that is of "critical" and/or "high" importance when the problem still exists.

I forgot to put the output of ps:

lucier 1778 0.5 32.4 3076104 2656524 ? Sl Nov28 69:25 /usr/lib/unity/unity-panel-service

sds (sds-gnu) wrote :

at virt=808m rss=121m compiz is still the biggest hog on my box, outstripping emacs and chrome.

Savannah King Norton (sln45) wrote :

Love Unity, hate Compiz. Isn't Compiz only handling the indicators and some other small things? Can it not be replaced? I've lost 2 hours of battery life to this, even in Unity2d. Switching back to gnome 2 until this is resolved.

fgr (f-gritsch) wrote :

@spacklecrisp: dont think that unity2d uses compiz. It is based on qt. Nop?

Roland (roland1979) wrote :

Please re-open this bug. It is not fixed as of today. I need to do "compiz --replace &" every 5 to 7 days to keep my workstation usable.

Just a few mins ago my compiz was at 2,2GB and unity was "unusable". The window content (app) itself is doing fine (unless you move/switch to another or do anything else with them).

Jim Rorie (jfrorie) wrote :

Agreed. Same issue. I had to reset because of swap thrashing for about 40 min. And I've got 4GB. I'm betting people with less memory are switching to fedora. ;(

Roland (roland1979) wrote :

The bad thing about this isn't necessarily that compiz leaks memory, but you can basically watch your desktop getting slower and slower. If I reboot Ubuntu/Unity after a week, this feels like a new machine for me.

The next day compiz seems to iterate over more objects than it needs to already. This gets worse every day. First I thought the "lagginess" is due to swapping activity, but it isn't. This is pure userspace CPU load by compiz, slowing down all activities regarding the desktop and its windowing.

If you keep your actions within a window, everything is fine.

I guess we should create a new bug regarding this, .. it doesn't look like this is being reopened.

Roland (roland1979) wrote :

@Jim Rorie: Do you have indicator-multiload running? I do .. have a look at https://bugs.launchpad.net/indicator-multiload/+bug/779717

paulf (paulf-linux-launchpad) wrote :

Even without indicator-multiload running i still get a steady leak. Googling indicates that x64 systems are maybe affected more.

if i have a session of system monitor open i can simply open the dash and work with the filters to see compiz increase in size.

in the dash showing all leaks between 1 - 6mb which doesnt seem to be released. closing it and reopening it and showing all will repeatably leak a chunk.

another observation is that opening application menu's on the panel seems to get slower as this leak progresses. spotify seems particularly bad.

my compiz stuff is 1:0.9.6+bzr20110929-0ubuntu6.1
unity is 4.28.0-0ubuntu2
unity2d is 4.12.0-0ubuntu1.1

Tiger (dzh-1121-d) wrote :

Yes, I confirm that issue too.

I'm using Ubuntu 12.04

Marjancek (marjancek) wrote :

I turn off my computer on weekends.
On Wednesday morning I have indicator-multiload already sucking almost 2Gb.

My machine is up-to-date as of Friday 24 - indicator-multiload (0.2-0ubuntu1)

This has not been updated since August 2011?

Please, re-open this bug.

I can confirm this too. After 4 days of using compiz it took about 700 MB of RSS memory (that makes it the biggest memory consumer on my 12.04 desktop). It's really annoying bug that causes my system swapping a lot (I have 2 GB RAM installed).

It can be temporarily solved by executing "unity --replace" command. After this the Compiz uses only about 60 MB of RSS.

Huart (robin-huart) wrote :

Oops, sorry I miss clicked. :-/

Changed in indicator-multiload:
status: Invalid → Fix Released
Mark Lanctot (mark-lanctot) wrote :

Same here with indicator-multiload 0.2-0ubuntu2. I'm on Ubuntu 12.10 64-bit with 4 GB of RAM.

I left my computer on over the holidays. About midway through I noticed I was using 3 GB of swap. Didn't investigate, restarted.

Today I was using swap again and noticed indicator-multiload was the heaviest memory user at 1.1 GB. Shut down indicator-multiload and it's fine when started again, currently at 11.6 MB. However it's rising by about 1 MB every 2 or 3 seconds.

Jan Nekvasil (jan-nekvasil) wrote :

I have the exactly same experience with indicator-multiload - sometimes it goes completely crazy for no obvious reason and eats up all memory - but this has nothig to do with possible leak in compiz, I suppose.

Displaying first 40 and last 40 comments. View all 105 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions